net.minecraft.world.gen.structure

## Class StructureBoundingBox

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureBoundingBox

-     public class StructureBoundingBox
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `maxX`
    `int` | `maxY`
    `int` | `maxZ`
    `int` | `minX`
    `int` | `minY`
    `int` | `minZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureBoundingBox()`
    `StructureBoundingBox(int[] par1ArrayOfInteger)`
    `StructureBoundingBox(int par1, int par2, int par3, int par4)`
    `StructureBoundingBox(int par1, int par2, int par3, int par4, int par5, int par6)`
    `StructureBoundingBox(StructureBoundingBox par1StructureBoundingBox)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expandTo(StructureBoundingBox par1StructureBoundingBox)`
    `NBTTagIntArray` | `func_151535_h()`
    `int` | `getCenterX()`
    `int` | `getCenterY()`
    `int` | `getCenterZ()`
    `static StructureBoundingBox` | `getComponentToAddBoundingBox(int par0, int par1, int par2, int par3, int par4, int par5, int par6, int par7, int par8, int par9)`
    `static StructureBoundingBox` | `getNewBoundingBox()`
    `int` | `getXSize()`
    `int` | `getYSize()`
    `int` | `getZSize()`
    `boolean` | `intersectsWith(int par1, int par2, int par3, int par4)`
    `boolean` | `intersectsWith(StructureBoundingBox par1StructureBoundingBox)`
    `boolean` | `isVecInside(int par1, int par2, int par3)`
    `void` | `offset(int par1, int par2, int par3)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### minX

          public int minX

    - #### minY

          public int minY

    - #### minZ

          public int minZ

    - #### maxX

          public int maxX

    - #### maxY

          public int maxY

    - #### maxZ

          public int maxZ

  - ### Constructor Detail

    - #### StructureBoundingBox

          public StructureBoundingBox()

    - #### StructureBoundingBox

          public StructureBoundingBox(int[] par1ArrayOfInteger)

    - #### StructureBoundingBox

          public StructureBoundingBox(StructureBoundingBox par1StructureBoundingBox)

    - #### StructureBoundingBox

          public StructureBoundingBox(int par1,
                              int par2,
                              int par3,
                              int par4,
                              int par5,
                              int par6)

    - #### StructureBoundingBox

          public StructureBoundingBox(int par1,
                              int par2,
                              int par3,
                              int par4)

  - ### Method Detail

    - #### getNewBoundingBox

          public static StructureBoundingBox getNewBoundingBox()

    - #### getComponentToAddBoundingBox

          public static StructureBoundingBox getComponentToAddBoundingBox(int par0,
                                                          int par1,
                                                          int par2,
                                                          int par3,
                                                          int par4,
                                                          int par5,
                                                          int par6,
                                                          int par7,
                                                          int par8,
                                                          int par9)

    - #### intersectsWith

          public boolean intersectsWith(StructureBoundingBox par1StructureBoundingBox)

    - #### intersectsWith

          public boolean intersectsWith(int par1,
                               int par2,
                               int par3,
                               int par4)

    - #### expandTo

          public void expandTo(StructureBoundingBox par1StructureBoundingBox)

    - #### offset

          public void offset(int par1,
                    int par2,
                    int par3)

    - #### isVecInside

          public boolean isVecInside(int par1,
                            int par2,
                            int par3)

    - #### getXSize

          public int getXSize()

    - #### getYSize

          public int getYSize()

    - #### getZSize

          public int getZSize()

    - #### getCenterX

          public int getCenterX()

    - #### getCenterY

          public int getCenterY()

    - #### getCenterZ

          public int getCenterZ()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### func_151535_h

          public NBTTagIntArray func_151535_h()